petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscFree6

Frees 6 chunks of memory obtained with PetscMalloc6()

### Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscFree6(void *m1,void *m2,void *m3,void *m4,void *m5,void *m6)

Not Collective

### Input Parameters

| m1 | - memory to free
| m2 | - 2nd memory to free
| m3 | - 3rd memory to free
| m4 | - 4th memory to free
| m5 | - 5th memory to free
| m6 | - 6th memory to free

### Notes

Memory must have been obtained with PetscMalloc6()

### See Also

PetscNew(), PetscMalloc(), PetscMalloc2(), PetscFree(), PetscMalloc3(), PetscMalloc4(), PetscMalloc5(), PetscMalloc6()

### Level

developer

### Location

include/petscsys.h

### Examples

src/dm/field/examples/tutorials/ex1.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages